summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_coreboot.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-06-06 22:53:37 +0200
committerHolger Levsen <holger@layer-acht.org>2015-06-06 22:53:37 +0200
commit5a4b26958471fc30137f840627c774703b8afd43 (patch)
treee48010692b2d396e58c77c572d7839f07c55be53 /bin/reproducible_coreboot.sh
parent449b07754f15a59334f4b47308beffa22f3ab58a (diff)
downloadjenkins.debian.net-5a4b26958471fc30137f840627c774703b8afd43.tar.xz
reproducible coreboot: also build for mips, arm, arm64 and riscv. Fix up parallel build.
Diffstat (limited to 'bin/reproducible_coreboot.sh')
-rwxr-xr-xbin/reproducible_coreboot.sh11
1 files changed, 6 insertions, 5 deletions
diff --git a/bin/reproducible_coreboot.sh b/bin/reproducible_coreboot.sh
index 7719052e..9848ffe6 100755
--- a/bin/reproducible_coreboot.sh
+++ b/bin/reproducible_coreboot.sh
@@ -13,10 +13,10 @@ common_init "$@"
set -e
-# support for different architectures (we start with i386 only)
-ARCHS="i386"
+# build for different architectures
+ARCHS="i386 mips arm arm64 riscv"
-cleanup_all() {
+cleanup_tmpdir() {
cd
rm -r $TMPDIR
}
@@ -80,7 +80,7 @@ call_debbindiff() {
#
TMPDIR=$(mktemp --tmpdir=/srv/reproducible-results -d) # where everything actually happens
-trap cleanup_all INT TERM EXIT
+trap cleanup_tmpdir INT TERM EXIT
cd $TMPDIR
DATE=$(date -u +'%Y-%m-%d %H:%M')
@@ -113,6 +113,7 @@ sed -i 's#MAKE=$i#MAKE=make#' util/abuild/abuild
# use all cores for first build
NUM_CPU=$(cat /proc/cpuinfo |grep ^processor|wc -l)
sed -i "s#cpus=1#cpus=$NUM_CPU#" util/abuild/abuild
+sed -i 's#USE_XARGS=1#USE_XARGS=0#g' util/abuild/abuild
# actually build everything
bash util/abuild/abuild || true # don't fail the full job just because some targets fail
@@ -220,5 +221,5 @@ irc_message "$REPRODUCIBLE_URL/coreboot/ has been updated."
# remove coreboot tree, we don't need it anymore...
rm coreboot -r
-cleanup_all
+cleanup_tmpdir
trap - INT TERM EXIT